Loading...
Searching...
No Matches
Opm::time::StopWatch Class Reference

## Public Member Functions

| StopWatch ()
| Default constructor.
void | start ()
| Starts the StopWatch.
void | stop ()
| Stops the StopWatch.
double | secsSinceLast ()
double | secsSinceStart ()

## Constructor & Destructor Documentation

## StopWatch()

Opm::time::StopWatch::StopWatch | ( |  | ) |

Default constructor.

Before the StopWatch is start()-ed, it is an error to call anything other than start().

## Member Function Documentation

## secsSinceLast()

double Opm::time::StopWatch::secsSinceLast | ( |  | ) |

Returns
  the number of running seconds that have passed since last call to start(), secsSinceLast() or secsSinceStart()

## secsSinceStart()

double Opm::time::StopWatch::secsSinceStart | ( |  | ) |

Returns
  the number of running seconds that have passed since last call to start().

## start()

void Opm::time::StopWatch::start | ( |  | ) |

Starts the StopWatch.

It is always legal to call start(), even if not stop()-ped.

## stop()

void Opm::time::StopWatch::stop | ( |  | ) |

Stops the StopWatch.

The watch no longer runs, until restarted by a call to start().

The documentation for this class was generated from the following files:

- opm/grid/utility/StopWatch.hpp
- opm/grid/utility/StopWatch.cpp